Subject: Re: [RFC] Convert builin-mailinfo.c to use The Better String Library.

From: Syed M Raihan <[email-masked]>
Date: Tue, 22 May 2012 18:30:13 +0000 (UTC)

Linus Torvalds <torvalds <at> linux-foundation.org> writes:

> 
> 
> On Wed, 5 Sep 2007, Dmitry Kakurin wrote:
> > 
> > When I first looked at Git source code two things struck me as odd:
> > 1. Pure C as opposed to C++. No idea why. Please don't talk about port,
> > it's BS.
> 
> *YOU* are full of bullshit.
> 
> C++ is a horrible language. It's made more horrible by the fact that a lot 
> of substandard programmers use it, to the point where it's much much 
> easier to generate total and utter crap with it. Quite frankly, even if 
> the choice of C were to do *nothing* but keep the C++ programmers out, 
> that in itself would be a huge reason to use C.
> 			Linus
> 

C++ has one weakness that is ABI compatibility among compilers.
Other than that Object Model does not make things horrible. 
I have seen 15 years old C++ application library which still 
uses old implementation to implement new enhancement/features 
that just works seamlessly and even an old dog can learn 
this old library written in C++.

I have seen C programmers constantly trying how they can mimic 
poly-morphism, inheritance and encapsulation in their C.
This is just *BS* - if you dont want C++ then dont use poly-morphism,
inheritance and encapsulation in your C code!
Or else just use C++ or Jave or C#.

Regards
Please note: I am really a Fan of Linus Torvalds since ever :)
Syed Raihan